Get an Integration's Account
curl --request GET \
--url https://api.captaindata.co/v3/integrations/accounts/{account_uid} \
--header 'Authorization: <api-key>' \
--header 'x-project-id: <api-key>'import requests
url = "https://api.captaindata.co/v3/integrations/accounts/{account_uid}"
headers = {
"Authorization": "<api-key>",
"x-project-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'x-project-id': '<api-key>'}
};
fetch('https://api.captaindata.co/v3/integrations/accounts/{account_uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"setup_at": "2024-11-26T15:12:17.652585",
"name": "Guillaume Odier",
"cookies": {
"JSESSIONID": "xxxxxxxxx",
"li_at": "xxxxxxxxx",
"li_a": "xxxxxxxxx"
},
"via_extension": true,
"is_shared": false,
"level": "Sales Navigator",
"is_valid": true,
"meta": {
"name": "Guillaume Odier",
"id": 269760086,
"url": "https://www.linkedin.com/in/guillaumeodier",
"type": "Sales Navigator",
"profile_image_url": "https://media.licdn.com/dms/image/v2/D4E03AQHnpVRFLCeBzQ/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1681746761278?e=1738195200&v=beta&t=F5jDTApyqg-ly67pZT6SOQ0mt_Jt9MggyR-RXRRa1no",
"country": null,
"language": null,
"email": null,
"emails": [],
"phone": null,
"phones": []
},
"uid": "xxxxxxx-xxxx-xxxx-9d6d-e97ac1544308",
"application_permalink": "linkedin",
"application_name": "LinkedIn"
}{
"detail": [
{
"loc": [
"path",
"account_uid"
],
"msg": "value is not a valid uuid",
"type": "type_error.uuid"
}
]
}Integrations
Get an Integration's Account
GET
/
v3
/
integrations
/
accounts
/
{account_uid}
Get an Integration's Account
Authorizations
The Authorization header must include 'x-api-key' followed by your API key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
Workspace UID required to identify the workspace.
Path Parameters
Query Parameters
Set this to true to retrieve th accounts limits consumption, e.g. 'How many messages sent in the last 24 hours'.
Response
Successful Response
⌘I